from five import grok
from zope import schema
from zope.interface import implements
from z3c.relationfield.schema import RelationChoice
from Products.CMFCore.utils import getToolByName
import datetime

from plone.formwidget.contenttree import ObjPathSourceBinder

from themis.fields import LegisSession
from plone.app.textfield import RichText

from themis.datatypes.commission import ICommission

from tabellio.agenda.interfaces import MessageFactory as _
from parlevent import IParlEvent, ParlEvent, ParlEventBaseView


class IComEvent(IParlEvent):
    commission = RelationChoice(
                title=_(u"Commission"),
                source=ObjPathSourceBinder(object_provides=ICommission.__identifier__),
                required=False)


class ComEvent(ParlEvent):
    implements(IComEvent)

    def klass(self):
        return 'commission-event'


class View(grok.View, ParlEventBaseView):
    grok.context(IComEvent)
    grok.require('zope2.View')

